<analysis file_format_version="0.4" >
  <module name="Input1"  type="File Input"  isEnabled="true" >
    <option name="start"  type="long" >
0    </option>
    <option name="end"  type="long" >
-1    </option>
    <option name="File names"  type="string_vector" >
<![CDATA[("data/zmumu_mc_10.pxlio")]]>    </option>
    <userrecords>
      <entry name="Compilation Date"  type="string" >
<![CDATA[
        Jul 27 2010
      ]]>      </entry>
      <entry name="Compilation Time"  type="string" >
<![CDATA[
        12:18:10
      ]]>      </entry>
      <entry name="xPos"  type="double" >
23      </entry>
      <entry name="yPos"  type="double" >
147      </entry>
    </userrecords>
  </module>
  <module name="Input2"  type="File Input"  isEnabled="true" >
    <option name="start"  type="long" >
0    </option>
    <option name="end"  type="long" >
-1    </option>
    <option name="File names"  type="string_vector" >
<![CDATA[("data/zmumu_mc_10.pxlio")]]>    </option>
    <userrecords>
      <entry name="Compilation Date"  type="string" >
<![CDATA[
        Jul 27 2010
      ]]>      </entry>
      <entry name="Compilation Time"  type="string" >
<![CDATA[
        12:18:10
      ]]>      </entry>
      <entry name="xPos"  type="double" >
22      </entry>
      <entry name="yPos"  type="double" >
64      </entry>
    </userrecords>
  </module>
  <module name="Output1"  type="File Output"  isEnabled="true" >
    <option name="filename"  type="string" >
<![CDATA[output/zmumu_mc_10_selected2.pxlio]]>    </option>
    <option name="Buffer size"  type="long" >
1048576    </option>
    <option name="# Objects/file section"  type="long" >
1000    </option>
    <option name="Compression level"  type="long" >
1    </option>
    <userrecords>
      <entry name="Compilation Date"  type="string" >
<![CDATA[
        Jul 27 2010
      ]]>      </entry>
      <entry name="Compilation Time"  type="string" >
<![CDATA[
        12:18:10
      ]]>      </entry>
      <entry name="xPos"  type="double" >
275      </entry>
      <entry name="yPos"  type="double" >
156      </entry>
    </userrecords>
  </module>
  <module name="Output2"  type="File Output"  isEnabled="true" >
    <option name="filename"  type="string" >
<![CDATA[output/zmumu_mc_10_selected1.pxlio]]>    </option>
    <option name="Buffer size"  type="long" >
1048576    </option>
    <option name="# Objects/file section"  type="long" >
1000    </option>
    <option name="Compression level"  type="long" >
1    </option>
    <userrecords>
      <entry name="Compilation Date"  type="string" >
<![CDATA[
        Jul 27 2010
      ]]>      </entry>
      <entry name="Compilation Time"  type="string" >
<![CDATA[
        12:18:10
      ]]>      </entry>
      <entry name="xPos"  type="double" >
273      </entry>
      <entry name="yPos"  type="double" >
67      </entry>
    </userrecords>
  </module>
  <module name="Event Selection"  type="PyModule"  isEnabled="true" >
    <option name="filename"  type="string" >
<![CDATA[selection_script.py]]>    </option>
    <option name="script"  type="string" >
<![CDATA[]]>    </option>
    <option name="parameter"  type="string" >
<![CDATA[]]>    </option>
    <option name="class"  type="string" >
<![CDATA[]]>    </option>
    <userrecords>
      <entry name="Compilation Date"  type="string" >
<![CDATA[Sep 26 2010]]>      </entry>
      <entry name="Compilation Time"  type="string" >
<![CDATA[15:45:05]]>      </entry>
      <entry name="xPos"  type="double" >
130      </entry>
      <entry name="yPos"  type="double" >
96      </entry>
    </userrecords>
  </module>
  <connection>
    <source module="Event Selection"  name="Output2" >
    </source>
    <sink module="Output2"  name="in" >
    </sink>
  </connection>
  <connection>
    <source module="Event Selection"  name="Output1" >
    </source>
    <sink module="Output1"  name="in" >
    </sink>
  </connection>
  <connection>
    <source module="Input1"  name="out" >
    </source>
    <sink module="Event Selection"  name="Input1" >
    </sink>
  </connection>
  <connection>
    <source module="Input2"  name="out" >
    </source>
    <sink module="Event Selection"  name="Input2" >
    </sink>
  </connection>
  <userrecords>
    <entry name="Author"  type="string" >
<![CDATA[VISPA]]>    </entry>
    <entry name="Comment"  type="string" >
<![CDATA[Selects events from two different input files if passing certaint requirements; if passing the selection, events are written to two different output files according to the input file; if failing the selection, the events are dropped

- Reads events from two different input files; send events from file 1 to sink 1 of the selection module and events from file 2 to sink 2
- Select the events if they contain a particle with name "Muon" that has transverse momentum pt > 20 GeV. If they pass the selection, send the events to source Output1 if coming from Input1 and Output2 if coming from Input1. If not, send the events to the "Fail" source.
- Events from the two output sources are written to separate output files.

Example is extensible by modifying the selection algorithm in the selection script, or by adding an additional output file for events failing the event selection.]]>    </entry>
    <entry name="Modification date"  type="string" >
<![CDATA[2012-04-19]]>    </entry>
    <entry name="Modification time"  type="string" >
<![CDATA[11:23:04]]>    </entry>
  </userrecords>
</analysis>
